/**
 * 
 */
package gov.va.med.esr.common.model.comms;

import gov.va.med.esr.common.model.lookup.EmailType;
import gov.va.med.fw.model.AbstractKeyedEntity;

import java.util.Date;

/**
 * @author DNS   CHINNR
 */
public class DeliveryPreferenceEmail extends AbstractKeyedEntity {

	/**
	 * Auto generated serialization id
	 */
	private static final long serialVersionUID = 5953430350991736610L;

	private EmailType type = null;

	private String address = null;

	private Date changeDate;
	
	private DeliveryPreference deliveryPreference = null;

	public DeliveryPreferenceEmail() {
		super();
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Date getChangeDate() {
		return changeDate;
	}

	public void setChangeDate(Date changeDate) {
		this.changeDate = changeDate;
	}

	public EmailType getType() {
		return type;
	}

	public void setType(EmailType type) {
		this.type = type;
	}

	public DeliveryPreference getDeliveryPreference() {
		return deliveryPreference;
	}

	public void setDeliveryPreference(DeliveryPreference deliveryPreference) {
		this.deliveryPreference = deliveryPreference;
	}

}
